Page MenuHomePhabricator

Add API support to get translated, untranslated and outdated messages
Closed, ResolvedPublic

Description

Use cases:

  • I want to find all messages that contain string X and see how they are translated into language Y to fix all translations to be consistent.
  • I want to find an untranslated message and translate it.
  • I want to find an outdated message and translate it.

Event Timeline

Phoenix303 raised the priority of this task from to Needs Triage.
Phoenix303 updated the task description. (Show Details)
Phoenix303 added a subscriber: Phoenix303.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2015, 4:34 AM
Phoenix303 triaged this task as Medium priority.
Phoenix303 set Security to None.
Phoenix303 added subscribers: Nemo_bis, Nikerabbit.

Change 227188 had a related patch set uploaded (by Phoenix303):
API support to get translated messages in the target language, using MessageCollection.

https://gerrit.wikimedia.org/r/227188

Change 227677 had a related patch set uploaded (by Phoenix303):
API support to get untranslated messages in the target language, using MessageCollection.

https://gerrit.wikimedia.org/r/227677

Change 227188 abandoned by Phoenix303:
API support to get translated messages in the target language, using MessageCollection.

Reason:
No more required once https://gerrit.wikimedia.org/r/#/c/227677/ and https://gerrit.wikimedia.org/r/#/c/222074/ are merged.

https://gerrit.wikimedia.org/r/227188

Nemo_bis lowered the priority of this task from Medium to Low.Aug 17 2015, 9:22 AM

Change 227677 merged by jenkins-bot:
API support to get untranslated, translated and outdated messages in the target language, using MessageCollection.

https://gerrit.wikimedia.org/r/227677

Phoenix303 renamed this task from Add API support to get translated and untranslated messages to Add API support to get translated, untranslated and outdated messages.Aug 18 2015, 10:15 AM
Phoenix303 closed this task as Resolved.
Phoenix303 updated the task description. (Show Details)